import { Paginated } from '../ddd';

export abstract class PaginatedResponseDto<T> extends Paginated<T> {
  readonly total: number;
  readonly perPage: number;
  readonly page: number;
  abstract readonly data: readonly T[];
}
