export interface PrismaRepositoryPort<Entity> {
  findUnique(options: any): Promise<Entity>;
  create(entity: any): Promise<Entity>;
}

export interface PrismaRawRepositoryPort {
  $queryRaw<T = unknown>(
    query: TemplateStringsArray,
    ...values: any[]
  ): Promise<T>;
}
