import { IsOptional, IsMilitaryTime } from 'class-validator';

export class ScheduleDto {
  @IsOptional()
  @IsMilitaryTime()
  mon?: string;

  @IsOptional()
  @IsMilitaryTime()
  tue?: string;

  @IsOptional()
  @IsMilitaryTime()
  wed?: string;

  @IsOptional()
  @IsMilitaryTime()
  thu?: string;

  @IsOptional()
  @IsMilitaryTime()
  fri?: string;

  @IsOptional()
  @IsMilitaryTime()
  sat?: string;

  @IsOptional()
  @IsMilitaryTime()
  sun?: string;
}
